﻿using System.Diagnostics;
using Infragistics.Calculations;


namespace TimeSpanAndFormulas
{
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            CalculationManager.FormulaCalculationError += CalculationManagerOnFormulaCalculationError;
            CalculationManager.FormulaCircularityError += CalculationManagerOnFormulaCircularityError;
            CalculationManager.FormulaReferenceError += CalculationManagerOnFormulaReferenceError;
            CalculationManager.FormulaSyntaxError += CalculationManagerOnFormulaSyntaxError; 
        }

        private void CalculationManagerOnFormulaSyntaxError(object sender, FormulaSyntaxErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }

        private void CalculationManagerOnFormulaReferenceError(object sender, FormulaReferenceErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }

        private void CalculationManagerOnFormulaCircularityError(object sender, FormulaCircularityErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }

        private void CalculationManagerOnFormulaCalculationError(object sender, FormulaCalculationErrorEventArgs e)
        {
            Debug.WriteLine(e.ErrorDisplayText);
        }
    }
}
